From: [email-masked] (Jianliang Li)
Date: Mon, 30 Aug 93 10:35:07 CDT

J-2 2-year waiver:

	It is very simple and pretty much automatic approval (International
Student Advisor's language).  All you have to do is to file Form I-612 and
pay $90.  In Lincoln, Nebraska:

	You will receive a receipt notice (I-797) in about 12 days.

	After another 12 days, you will get the approval notice (I-797).  It
says: you and your immediate family members are granted the 2-year waiver.
The immediate family members must be J-2 derived from your J-1.

	The whole process takes less than 25 days.  It may be not necessary
and it costs $90.  The decision is yours to invest or not to invest the $90.

JLi